Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
DELETESNS OperationsSince 3.7.0SynchronousAuth Required

RemoveSNSSmsReceiver

RemoveSNSSmsReceiver

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • endpointUuidStringRequired

    The UUID of the SMS endpoint.

  • phoneNumberString

    Optional. The phone number to receive SMS messages.

Body Fields

  • phoneNumberListList

    Optional. The list of phone numbers to receive SMS messages.

  • deleteModeString

    Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/sns/sms-endpoints/{endpointUuid}/receivers/{phoneNumber}

/zstack/v1/sns/sms-endpoints/{endpointUuid}/receivers/{phoneNumber}

Operation ID

RemoveSNSSmsReceiver

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/sns/sms-endpoints/{endpointUuid}/receivers/{phoneNumber}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"phoneNumberList":["<phoneNumberList>"],"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history